# General Notes

This is an entry for the Disquiet Junto project of March 7-10 2013.

The instructions were:
1.  Devise which three sine waves you will employ. They should be different from each other in some evident way.
2.  The track should open with just one of the sine waves.
3.  Add the second sine wave at 5 seconds.
4.  Add the third sine wave at 10 seconds.
5.  Only at 15 seconds should you begin to in any way manipulate any of the source waves.

I wrote a Csound program that generates three sine waves.
- The first tone is a 240Hz tone that sounds for the entire piece.
- The second tone is higher, starting at a ratio of 31/16 relative to the first tone (sharper than a major seventh, derived from the 31st harmonic).
- The third tone is lower, at a ratio of 16/31 relative to the first tone (the reciprocal of the second tone).
- After 15 seconds. the second tone starts gliding downwards in pitch until it reaches the ratio of 65/64 (flatter than a minor second, corresponding to the 65th harmonic).
- Also at 15 seconds, the third tone start gliding upward in pitch until it reaches the ratio of 64/65 (again, the reciprocal of the second tone).

The output of this project, converted to MP3, canbe streamed and/or downloaded at https://soundcloud.com/mysterybear/triune. 

More on this 60th Disquiet Junto project at:

disquiet.com/2013/03/07/disquiet0062-lifeofsine

More details on the Disquiet Junto at:

http://soundcloud.com/groups/disquiet-junto/

# Source Files

The file disquiet0062-lifeofsine.blue is the actual source code to the piece, This is a blude project file (more about blue at http://blue.kunstmusik.com). The file disquiet0062-lifeofsine.csd is a standard Csound project file that was generated by blue and then hand-edited a bit to make a little more readable (e.g., removing extraneous blank lines).

# Licensing

Copyright (c) Dave Seidel, 2013, some rights reserved. The contents of this repository are available under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported license (http://creativecommons.org/licenses/by-nc-sa/3.0/). You are welcome to fork this project as long as you abide by the licensing terms.
